const PostCSSPlugin = require("eleventy-plugin-postcss");
const markdown = require("./config/plugins/markdown");
const syntaxHighlight = require("@11ty/eleventy-plugin-syntaxhighlight");

module.exports = function (config) {
    config.addPlugin(PostCSSPlugin);
    config.addPlugin(syntaxHighlight);
    config.addPlugin(markdown);

    config.addPassthroughCopy("src/assets");

    config.addCollection("slides", function(collectionApi) {
        return collectionApi.getFilteredByTag("slide").sort((a, b) => {
            return a.fileSlug.localeCompare(b.fileSlug);
        });
      });

    return {
        passthroughFileCopy: true,
        dataTemplateEngine: false,
        markdownTemplateEngine: "njk",

        htmlTemplateEngine: "njk",
            dir: {
                input: "src",
                includes: "_includes",
                data: "_data",
                output: "_site"
        }
    };
}