## Example 3: The discloure element


<div class="grid">

```html
<style>
    details {
        position: relative;
        width: max-content;
        min-width: 20ch;
        background: white;
        border-radius: 10px;
        border: 1px solid darkgray;
    }

    summary {
        display: flex;
        cursor: pointer;
        position: relative;
        border-bottom: 1px solid transparent;
        padding: 10px;
        align-items: center;
        justify-content: space-between;
    }

    summary svg {
        width: 12px;
        height: auto;
        transform: rotate(180deg) translate(-1px);
        transition: transform .3s linear;
    }

    summary::-webkit-details-marker {
        display: none;
    }

    details[open] > summary {
        border-color: darkgray;
    }

    details[open] summary svg {
        transform: rotate(0deg);
    }
</style>

<details>
  <summary>
    Test Title
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 10 7">
      <path
        fill="none"
        fillRule="evenodd"
        stroke="currentColor"
        strokeWidth="2"
        d="M1 1l4.025 4L9 1.05"
      />
    </svg>
</summary>
  
  <ul>
    <li>Test item 1</li>
    <li>Test item 2</li>
  </ul>
</details>
```

<div>

<details>
  <summary>Test Title <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 10 7">
  <path
    fill="none"
    fillRule="evenodd"
    stroke="currentColor"
    strokeWidth="2"
    d="M1 1l4.025 4L9 1.05"
  />
</svg>

</summary>
  
  <ul>
    <li>Test item 1</li>
    <li>Test item 2</li>
  </ul>
</details>

* 58 lines of code
* Keyboard & screen reader support
* `open` attribute lets us style the summary differently if it's open or closed

</div>


</div>