## Themes

<div class="grid">

```css
:root {
    --color-primary: #dedede;
    --color-secondary: #adadad;
}

body {
    background-color: var(--color-secondary);
    color: var(--color-primary);
}


[class*="column"] {
    display: flex;
    flex-direction: column;
    gap: var(--column-spacing, 1rem);
}

.column-sm {
    --column-spacing: 0.5rem;
}

.column-lg {
    --column-spacing: 1.5rem;
}
```
<div>

* A few of the examples have had theme tokens injected into Styled Components
* But we can also use CSS variables to inject our design tokens and use them everywhere
* If we redefine a variable later on in the cascade, it applies to all subcomponents
* Can also use sensible fallbacks for the instances where variables are undefined

</div>
</div>